common_failures = {
      'test_initial_warning', # requires Tornado
    }
CONFIG = {
    'framework' : 'other',
    'arg' : 'PYCMD -c "from pandas import test; test()"',
    'env' : None,
    'expect_except' : None,
    'need_sources' : False,
    'location' : None,
    'use_re' : True,
    'parser' : 'pytest',
    'errors' : {
        '2.7' : {
            'Win' : set(),
            'Lin' : set(),
            'Mac' : {'test_round_trip_valid_encodings (pandas.io.tests.test_clipboard.TestClipboard)',
                     'test_round_trip_frame_string (pandas.io.tests.test_clipboard.TestClipboard)', #SAT-624
                     'test_round_trip_frame_sep (pandas.io.tests.test_clipboard.TestClipboard)', #SAT-624
                     'test_round_trip_frame (pandas.io.tests.test_clipboard.TestClipboard)', #SAT-624
                     'test_read_clipboard_infer_excel (pandas.io.tests.test_clipboard.TestClipboard)', #SAT-624
                    }
        },
        '3.5' : {
            'Win' : set(),
            'Lin' : set(),
            'Mac' : {'test_round_trip_valid_encodings (pandas.io.tests.test_clipboard.TestClipboard)',
                     'test_round_trip_frame_string (pandas.io.tests.test_clipboard.TestClipboard)', #SAT-624
                     'test_round_trip_frame_sep (pandas.io.tests.test_clipboard.TestClipboard)', #SAT-624
                     'test_round_trip_frame (pandas.io.tests.test_clipboard.TestClipboard)', #SAT-624
                     'test_read_clipboard_infer_excel (pandas.io.tests.test_clipboard.TestClipboard)', #SAT-624
                    }
        },
        '3.6' : {
            'Win' : set(),
            'Lin' : set(),
            'Mac' : {'test_round_trip_valid_encodings (pandas.io.tests.test_clipboard.TestClipboard)',
                     'test_round_trip_frame_string (pandas.io.tests.test_clipboard.TestClipboard)', #SAT-624
                     'test_round_trip_frame_sep (pandas.io.tests.test_clipboard.TestClipboard)', #SAT-624
                     'test_round_trip_frame (pandas.io.tests.test_clipboard.TestClipboard)', #SAT-624
                     'test_read_clipboard_infer_excel (pandas.io.tests.test_clipboard.TestClipboard)', #SAT-624
                    }
        },
    },
    'failures' : {
        '2.7' : {
            'Win' : {'test_append_index (pandas.tests.test_multilevel.TestMultiLevel)', #SAT-1296
                     'TestSafeSort.test_unsortable', #SAT-1539
                    },
            'Lin' : {'test_append_index (pandas.tests.test_multilevel.TestMultiLevel)', #SAT-1296
                     'TestSafeSort.test_unsortable', #SAT-1539
                    },
            'Mac' : {'TestClipboard\.test_read_clipboard_infer_excel',
                     'TestClipboard\.test_round_trip_valid_encodings\[.*\]', # SAT-1755
                     'TestClipboard\.test_clipboard_copy_strings\[.*\]', # SAT-1755
                     'TestClipboard\.test_round_trip_frame_sep\[.*\]', # SAT-1755
                     'TestClipboard\.test_round_trip_frame\[.*\]', # SAT-1755
                     'TestClipboard\.test_round_trip_frame_string\[.*\]', # SAT-1755
                     'TestClipboard\.test_clipboard_copy_tabs_default\[.*\]', # SAT-1755
                     'TestClipboard\.test_clipboard_copy_strings\[.*\]', # SAT-1755
                     'TestDataFrameFormatting\.test_info_repr'
                     }
        },
        '3.5' : {
            'Win' : {'test_append_index (pandas.tests.test_multilevel.TestMultiLevel)', #SAT-1296
                    },
            'Lin' : {'test_append_index (pandas.tests.test_multilevel.TestMultiLevel)', #SAT-1296
                    },
            'Mac' : {'test_format (pandas.tests.indexes.test_base.TestIndex)',  # SAT-1192
                     'test_append_index (pandas.tests.test_multilevel.TestMultiLevel)', #SAT-1296
                     'TestMathNumExprPandas.test_result_complex128' # https://github.com/pandas-dev/pandas/issues/28235
                }
        },
        '3.6' : {
            'Win' : {'test_slice_to_array_conversion (pandas.tests.test_internals.TestBlockPlacement)',
                     'test_slice_iter (pandas.tests.test_internals.TestBlockPlacement)',
                     'test_blockplacement_add_int (pandas.tests.test_internals.TestBlockPlacement)',
                     'test_append_index (pandas.tests.test_multilevel.TestMultiLevel)', # SAT-1296
            } | common_failures,
            'Lin' : { 'test_blockplacement_add_int (pandas.tests.test_internals.TestBlockPlacement)',
                      'test_slice_iter (pandas.tests.test_internals.TestBlockPlacement)',
                      'test_slice_to_array_conversion (pandas.tests.test_internals.TestBlockPlacement)',
                      'test_append_index (pandas.tests.test_multilevel.TestMultiLevel)', # SAT-1296
            } | common_failures,
            'Mac' : { 'TestClipboard\.test_read_clipboard_infer_excel',
                      'TestClipboard\.test_round_trip_frame_string\[.*\]',    # SAT-1755
                      'TestClipboard\.test_round_trip_valid_encodings\[.*\]', # SAT-1755
                      'TestClipboard\.test_clipboard_copy_strings\[.*\]', # SAT-1755
                      'TestClipboard\.test_round_trip_frame_sep\[.*\]', # SAT-1755
                      'TestClipboard\.test_round_trip_frame\[.*\]', # SAT-1755
                      'TestClipboard\.test_clipboard_copy_tabs_default\[.*\]', # SAT-1755
                      'TestClipboard\.test_clipboard_copy_strings\[.*\]', # SAT-1755
                      'TestMathNumExprPandas.test_result_complex128' # https://github.com/pandas-dev/pandas/issues/28235
                      'test_raw_roundtrip\[.*\]'
            } | common_failures,
        },
    },
    'validation' : {#SAT-1670, SAT-1615, SAT-1596, SAT-1420
        'failures' : {
            '2.7' : {
                'Win' : { 'TestHDFStore.test_to_hdf_with_object_column_names',
                          'TestHDFStore.test_categorical',
                          'TestInferDtype.testinfer_dtype_from_scalar',
                },
                'Lin' : { 'TestHDFStore.test_to_hdf_with_object_column_names', },
                'Mac' : { 'TestHDFStore.test_to_hdf_with_object_column_names', },
            },
            '3.6' : {
                'Win' : { 'TestLocale.test_locale',
                          'TestHDFStore.test_to_hdf_with_object_column_names,'
                          'TestHDFStore.test_categorical',
                } | common_failures,
                'Lin' : { 'TestLocale.test_locale',
                          'TestHDFStore.test_to_hdf_with_object_column_names',
                } | common_failures,
                'Mac' : { 'TestLocale.test_locale',
                          'TestHDFStore.test_to_hdf_with_object_column_names',
                } | common_failures,
            },
        },
    },
}

def fetch_config(pyver):
    return CONFIG
